﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using PersistentClasses;
using Telerik.OpenAccess;
using Telerik.OpenAccess.Query;

public partial class UsingLinq : System.Web.UI.UserControl
{
    protected void RadGrid1_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        IObjectScope scope = ObjectScopeProvider1.GetNewObjectScope();

        var result = new Object();

        if (RadComboBox1.SelectedValue == "0")
        {
            result = from c in scope.Extent<Customer>()
                     select c;
            RadTextBox1.Text = (Server.HtmlEncode(@"Query: from c in scope.Extent<Customer>()
                             select c"));
        }
        else if (RadComboBox1.SelectedValue == "1")
        {
            result = from p in scope.Extent<Product>()
                     where p.UnitPrice > 4
                     select p;
            RadTextBox1.Text = (Server.HtmlEncode(@"Query: from p in scope.Extent<Product>()
                             where p.UnitPrice > 4
                             select p"));
        }
        else if (RadComboBox1.SelectedValue == "2")
        {
            result = from p in scope.Extent<Product>()
                     where p.ProductName.Matches("B*")
                     select p;
            RadTextBox1.Text = (Server.HtmlEncode(@"Query: from p in scope.Extent<Product>()
                             where p.ProductName.Matches(""B*"")
                             select p"));
        }
        else if (RadComboBox1.SelectedValue == "3")
        {
            result = from o in scope.Extent<Order>()
                     where o.OrderDetails.Any(od => od.UnitPrice > 40) || o.ShipCountry == "Germany"
                     select o;

            RadTextBox1.Text = (Server.HtmlEncode(@"Query: from o in scope.Extent<Order>()
                             where o.OrderDetails.Any(od => od.UnitPrice > 40) || o.ShipCountry == ""Germany""
                             select o"));
        }

        RadGrid1.DataSource = result;
    }

    protected void RadComboBox1_SelectedIndexChanged(object o, Telerik.Web.UI.RadComboBoxSelectedIndexChangedEventArgs e)
    {
        RadGrid1.Rebind();
    }
}
